#!/bin/sh
# Vetero.sh # Change from /var/tmp to /mnt/home/Vetero and vice versa.
# Changer de /var/tmp à /mnt/home/Vetero et vice versa.
# (c) Christian L'Écuyer, alias « musher0 » (forum PuppyLinux), 
#     ... Gatineau (Qc), Canada, 27 juillet 2016. GPL3. ...
#  /usr/share/doc/meteo-tradFR/gpl3_fr.sh affichera la license. 
#  /usr/share/doc/meteo-tradFR/gpl3.sh will show the licence.
####
case "${LANG:0:2}" in
	fr)MssG="
\t\e[1;3;37mVeuillez entrer où vous voulez enregistrer les bulletins météo :

\t\t\e[1;3;37m'var' pour les enregistrer dans /var/tmp
\t   \e[1;3;37m'home' pour les enregistrer dans /mnt/home/Vetero\e[0m
" ;;	
	*)MssG="
\t\e[1;3;37mPlease type where you want your weather info to be stored:

\t\t\e[1;3;37m'var' if you want it stored in /var/tmp
\t   \e[1;3;37m'home' if you want it stored in /mnt/home/Vetero\e[0m
" ;;
esac
echo -e "$MssG"

read W

case "$W" in
	home)mkdir -p /mnt/home/Vetero # The word "weather" in esperanto!
	mv -f /var/tmp/* /mnt/home/Vetero
	replaceit --input=/usr/local/bin/meteo-tradFR-8a.sh "/var/tmp" "/mnt/home/Vetero" 
	;;
	var)# In reverse
	mkdir -p /var/tmp
	mv -f /mnt/home/Vetero/* /var/tmp
	replaceit --input=/usr/local/bin/meteo-tradFR-8a.sh "/mnt/home/Vetero" "/var/tmp"
	;;
esac # echo $W

chmod +x /usr/local/bin/meteo-tradFR-8a.sh

case "${LANG:0:2}" in
	fr)NotE="
\t\e[1;3;37mNOTA -- Veuillez noter qu'un tel déplacement des données peut
\t\e[1;3;37mrendre inutilisables vos enregistrements en longitude et latitude. 
\t\e[1;3;37mSi tel était le cas, veuillez effacer ces données en long./lat.
\t\e[1;3;37met demander de nouvelles prévisions avec ces coordonnéees.\e[0m
" ;;
	*)NotE="
\t\e[1;3;37mNOTE -- Please be aware that this move process can make your 
\t\e[1;3;37mlongitude/latitude data unusable. If such was the case, 
\t\e[1;3;37mplease erase the former long./lat. data and ask for a new  
\t\e[1;3;37mreport with the same coordinates.\e[0m
" ;;
esac
echo -e "$NotE"
